Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046581
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminorhave not tried2021-05-07 11:372021-07-07 13:56
ReporterplujanView Statuspublic 
Assigned Tohernan-dp 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046581: [21Q2] JIRA-1902: The swipe gesture scrolls different in the Carousel component

DescriptionWhen using other applications, other webpages or even other components inside the POS, the behaviour of the swipe gesture works in the same way. However, when using the Carousel component, it does not respond to the user actions in the same way. See steps.
Steps To ReproduceNote: Since this report is about gestures, some steps might be difficult to describe. Feel free to contact me to clarify any point if required.

0. Preconditions: The POS is in the main screen, and it has Carousel active for Category (horizontal) and Product (vertical)
1. Execute a short and quick swipe right in Category. Notice the next page is partially shown but the action is not completed and the first page remains. Use the same action in, for example, the device screens, and check it is completed there.
2. Execute a long and slow swipe down in Product. Notice that at some point the new page quickly becomes the active one (i.e. the product where the user started the swipe is not under the user finger anymore). In a native application this does not happen.

Here there is a video comparing current behavior with standard Android OS one: https://youtu.be/0r1dWYmnW9I [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047267TAP closedhernan-dp [21Q2] JIRA-1902: The swipe gesture scrolls different in the Carousel component 
related to defect 0047178 closedAugustoMauch JIRA-1902: First click after changing the keymap page does not select the clicked element 
related to defect 0047357 acknowledgedRetail When changing a page on a keymap the speed of the movement is not uniform 

-  Notes
(0130037)
hgbot (developer)
2021-06-30 18:23

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/582 [^]
(0130228)
hgbot (developer)
2021-07-07 13:56

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 899088f8cfe2a5ba2843f672124cdbb1166057e7
Author: Angel Eduardo <angel.gonzalez@smfconsulting.com>
Date: 2021-07-07T13:52:53+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/899088f8cfe2a5ba2843f672124cdbb1166057e7 [^]

Fixes ISSUE-46581: Adding optional gesture configuration to BaseKeymap and also makes those values relative to the fontBase.

Also, this commit allows to configure the velocity the gesture has to be made in order to execute the carousel change page triggering.

---
A web-jspack/org.openbravo.core2/src/components/BaseKeymap/PaginationGesture.config.json
M web-jspack/org.openbravo.core2/src/components/BaseKeymap/BaseKeymap.jsx
M web-jspack/org.openbravo.core2/src/components/BaseKeymap/hooks/usePagination.js
M web-jspack/org.openbravo.core2/src/ob-init.js
---
(0130229)
hgbot (developer)
2021-07-07 13:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/582 [^]

- Issue History
Date Modified Username Field Change
2021-05-07 11:37 plujan New Issue
2021-05-07 11:37 plujan Assigned To => Retail
2021-05-07 11:37 plujan Triggers an Emergency Pack => No
2021-05-07 14:39 guilleaer Status new => acknowledged
2021-06-08 09:23 dbaz Steps to Reproduce Updated View Revisions
2021-06-14 13:58 dmiguelez Summary [21Q2] The swipe gesture scrolls different in the Carousel component => [21Q2] JIRA-1902: The swipe gesture scrolls different in the Carousel component
2021-06-17 12:44 dmiguelez Assigned To Retail => hernan-dp
2021-06-17 12:44 dmiguelez Status acknowledged => scheduled
2021-06-28 19:18 guilleaer Status scheduled => acknowledged
2021-06-28 19:18 guilleaer Status acknowledged => scheduled
2021-06-28 19:35 guilleaer Relationship added related to 0047178
2021-06-30 18:23 hgbot Note Added: 0130037
2021-07-07 13:21 AugustoMauch Relationship added related to 0047357
2021-07-07 13:22 AugustoMauch Steps to Reproduce Updated View Revisions
2021-07-07 13:56 hgbot Resolution open => fixed
2021-07-07 13:56 hgbot Status scheduled => closed
2021-07-07 13:56 hgbot Note Added: 0130228
2021-07-07 13:56 hgbot Note Added: 0130229


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker